System.Design 2.0.0.0 System.Object

The class provides the and properties to query for the and collections, respectively. However, if a design-time tool author decides not to derive from this class, the class represents an alternative base class to provide this functionality.

The class contains only three members, described in the following table.

Public member

Description

Returns the collection of either the smart tags or designer verbs associated with the designed component. The base implementation returns null.

Gets the collection of all the smart tags associated with the designed component. The base implementation simply calls .

Gets the collection of all the designer verbs associated with the designed component. The base implementation simply calls .

A should be added as a site-specific service. Externally, a service of this type should first be queried to discover smart tag and designer verb functionality. If this service is not found, then the property should be used instead. This procedure provides a path for backwards compatibility.

Represents a base class for design-time tools, not derived from , that provide smart tag or designer verb capabilities.

- Constructor
  2.0.0.0

  Because this base class contains no state, the default constructor does nothing.

  Initializes an instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added.

  The base implementation simply calls with the string parameter "ActionLists".

  Gets the collection of all the smart tags associated with the designed component.

- Method
  2.0.0.0
  System.Collections.ICollection ``

  Although the base implementation always returns null, the overridden version supplied by the programmer should return a collection of command objects of the type described by . The base implementation of the and properties specify the following values and meanings for this parameter.

  String

  Meaning

  "ActionLists"

  Return a collection of all the smart tags associated with the component.

  "Verbs"

  Return a collection of all the designer verbs associated with the component.

  Returns a collection of command objects.

  A collection that contains the specified type—either or —of command objects. The base implementation always returns null.

  The type of collection to return, indicating either a or a .
- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerVerbCollection To be added.

  The base implementation simply calls with the string parameter "Verbs".

  Gets the collection of all the designer verbs associated with the designed component.